<script setup lang="ts">
    import { ref, watch } from 'vue'
    import { ServiceOfferApi } from '@/serviceOffer/entities/serviceOffer/ServiceOfferApi'
    import { useMsal } from '@/plugins/msal/useMsal'
    import { serviceOfferIdInjectionKey } from '@/shared/constants'
    import { requiredInject } from '@/shared/helpers/types'
    import { useUserStore } from '@/shared/user/stores/UserStore'

    const msal = useMsal()
    const userStore = useUserStore(msal)
    const serviceOfferId = requiredInject(serviceOfferIdInjectionKey)
    const serviceOfferApi = new ServiceOfferApi(msal)
    const pageTitle = ref('')
    watch(
        [() => msal.accounts, () => userStore.isImpersonating],
        () => {
            serviceOfferApi.get(serviceOfferId.value).then((serviceOffer) => {
                pageTitle.value = serviceOffer.title
            })
        },
        { immediate: true }
    )
</script>

<template>
    <v-layout>
        <router-view :key="$route.fullPath"></router-view>
    </v-layout>
</template>
